IF EXISTS (SELECT * FROM dbo.SYSOBJECTS WHERE id = object_id('INSERT_COMPONENT_COMMON') AND  OBJECTPROPERTY(id, 'IsProcedure') = 1)
   DROP PROC INSERT_COMPONENT_COMMON
;
CREATE PROCEDURE INSERT_COMPONENT_COMMON(
 @p_pk bigint OUT
	)
AS
BEGIN
SET NOCOUNT ON;
	INSERT INTO COMPONENT_COMMON DEFAULT VALUES;
	set @p_pk = SCOPE_IDENTITY();
END
;
